//+------------------------------------------------------------------+
//|                                                EMA Crossover.mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

//---- input parameters
extern int       TP=50;
extern int       SL=30;
extern int       Lots=1;
double EMAa, EMAc;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   
   EMAa = iMA(NULL,PERIOD_H1,169,0,MODE_EMA,PRICE_CLOSE,0);
   EMAc = iMA(NULL,PERIOD_H1,12,0,MODE_EMA,PRICE_CLOSE,0);
   
   if(EMAc >= EMAa && OrdersTotal() == 0) {OrderSend(Symbol(),OP_BUY,Lots,Ask,3,SL*Point,TP*Point,"Buy",12345,0,White);} 
   if(EMAc <= EMAa && OrdersTotal() == 0) {OrderSend(Symbol(),OP_SELL,Lots,Bid,3,SL*Point,TP*Point,"Sell",12345,0,White);}
   
//----
   return(0);
  }
//+------------------------------------------------------------------+